#
# spec file for package python-bcdoc
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define baseName bcdoc

Name:           python-bcdoc
Version:        0.14.0
Release:        lp152.3.3
Summary:        Doc tools for botocore projects
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/boto/bcdoc
Source0:        https://pypi.python.org/packages/source/b/%{baseName}/%{baseName}-%{version}.tar.gz
Requires:       python-docutils >= 0.10
Requires:       python-six      >= 1.8.0
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Tools to help document botocore-based projects


%prep
%setup -q -n %{baseName}-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot} --install-scripts=%{_bindir}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.rst
%dir %{python_sitelib}/bcdoc
%dir %{python_sitelib}/%{baseName}-%{version}-py%{py_ver}.egg-info
%{python_sitelib}/bcdoc/*
%{python_sitelib}/*egg-info/*

%changelog
* Sat Apr 25 2015 benoit.monin@gmx.fr
- update to version 0.14.0: no upstream changelog
- point source URL to pypi
- remove python from BuildRequires
- increase required versions for docutils and six
* Sat Jan 18 2014 rschweikert@suse.com
- Initial build
